$TITLE MILP 1 Floudas, 1995
$OFFSYMXREF
$OFFSYMLIST

VARIABLES Z;
POSITIVE VARIABLES x1;
BINARY VARIABLES y1,y2,y3;

EQUATIONS OBJ, CON1, CON2;

OBJ..      Z=E=2*x1-3*y1-2*y2-3*y3;
CON1..     x1+y1+y2+y3=G=2;
CON2..     10*x1+5*y1+3*y2+4*y3=L=10;

* Valor Inicial
x1.L=0;
y1.L=0;
y2.L=0;
y3.L=0;

MODEL MILP1 / ALL / ;

OPTION MIP = OSL;
*OPTION MIP = CPLEX;
*OPTION MIP = BDMLP;
*OPTION MIP = XA;
*OPTION MIP = XPRESS;
*OPTION MIP = ZOOM;
OPTION sysout = on;

SOLVE MILP1 USING MIP MINIMIZING Z;