$TITLE MILP 2
* Algoritmo de Aproximacao Externa - Solucao do Mestre MILP
$OFFSYMXREF
$OFFSYMLIST

*VARIABLES ALFA, Z;
VARIABLES Z;
POSITIVE VARIABLES X1, X2;
BINARY VARIABLES Y1, Y2, Y3;

*EQUATIONS CON1,CON2,CON3,CON4,CON5,CON6,CON7,CON8,OBJ;
EQUATIONS CON2,CON3,CON4,CON5,CON6,CON7,CON8,OBJ;

*CON1..     Y1+1.5*Y2+0.5*Y3+4*X1+4*X2-8-ALFA=L=0;
CON2..     -X2=L=0;
CON3..     -X1+2*Y1=L=0;
CON4..     X1-X2-4*(1-Y2)=L=0;
CON5..     -X1+(1-Y1)=L=0;
CON6..     -X2+Y2=L=0;
CON7..     -X1-X2+3*Y3=L=0;
CON8..     Y1+Y2+Y3-1=G=0;
*OBJ..      Z=E=ALFA;
OBJ..     Z=E=Y1+1.5*Y2+0.5*Y3+4*X1+4*X2-8;
* Limite Superior
X1.UP=4;
X2.UP=4;

* Valor Inicial

MODEL MILP2 / ALL / ;

OPTION MIP = OSL;
*OPTION MIP = CPLEX;
*OPTION MIP = BDMLP;
*OPTION MIP = XA;
*OPTION MIP = XPRESS;
*OPTION MIP = ZOOM;
OPTION sysout = on;

SOLVE MILP2 USING MIP MINIMIZING Z;
