$TITLE MINLP 1
* Algoritmo de Aproximacao Externa - Solucao do DIPCOPT++
$OFFSYMXREF
$OFFSYMLIST

VARIABLES Z;
POSITIVE VARIABLES X1, X2;
BINARY VARIABLES Y1, Y2, Y3;
EQUATIONS CON1,CON2,CON3,CON4,CON5,CON6,CON7,OBJ;

CON1..     (X1-2)*(X1-2)-X2=L=0;
CON2..     X1-2*Y1=G=0;
CON3..     X1-X2-4*(1-Y2)=L=0;
CON4..     X1-(1-Y1)=G=0;
CON5..     X2-Y2=G=0;
CON6..     X1+X2-3*Y3=G=0;
CON7..     Y1+Y2+Y3-1=G=0;
OBJ..      Z=E=Y1+1.5*Y2+0.5*Y3+X1**2+X2**2;

* Limite Superior
X1.UP=4;
X2.UP=4;

* Valor Inicial

MODEL MINLP1 / ALL / ;

OPTION lp = osl;
*OPTION lp = cplex;
OPTION nlp = conopt;
*OPTION nlp = minos5;
OPTION minlp = DICOPT;
OPTION sysout = on;

MINLP1.optfile = 1;

SOLVE MINLP1 USING MINLP MINIMIZING Z;
