$TITLE MINLP3
* Algoritmo de Aproximacao Externa - Solucao do DIPCOPT++
* Floudas, 1995
$OFFSYMXREF
$OFFSYMLIST

VARIABLES Z;
POSITIVE VARIABLES X;
BINARY VARIABLES Y;
EQUATIONS CON,OBJ;

CON..     -2*(exp(-X))+X+Y=L=0;
OBJ..     Z=E=-Y+4*(exp(-X))+X;

* Limite Superior
X.UP=1.4;

* Limite Inferior
X.LO=0.5;

* Valor Inicial
X.L=0.6;
Y.L=0;


MODEL MINLP3 / ALL / ;

OPTION lp = osl;
*OPTION lp = cplex;
OPTION nlp = conopt;
*OPTION nlp = minos5;
OPTION minlp = DICOPT;
OPTION sysout = on;

MINLP3.optfile = 1;

SOLVE MINLP3 USING MINLP MINIMIZING Z;
