$TITLE MINLP6
* Smith(tese) - pag.263
$OFFSYMXREF
$OFFSYMLIST

VARIABLES Z;
POSITIVE VARIABLES X1;
BINARY VARIABLES Y1;
EQUATIONS CON1,CON2,OBJ;

CON1..     -exp(X1-0.2)+1.1*Y1+1=L=0;
CON2..     X1-1.2*Y1-0.2=L=0;
OBJ..      Z=E=-0.7*Y1+5*(X1-0.5)*(X1-0.5)+0.8;

* Limite Superior
X1.UP=1;

* Limite Inferior
X1.LO=0;

* Valor Inicial
X1.L=0.2;
Y1.L=0;

MODEL MINLP6 / ALL / ;

OPTION lp = osl;
*OPTION lp = cplex;
OPTION nlp = conopt;
*OPTION nlp = minos5;
OPTION minlp = DICOPT;
*OPTION minlp = SBB;
OPTION sysout = on;

MINLP6.optfile = 1;

SOLVE MINLP6 USING MINLP MINIMIZING Z;