$TITLE Programao de produo de refinaria

VARIABLES S;
POSITIVE VARIABLES x1,x2;

EQUATIONS OBJ, RES1, RES2, RES3;

OBJ.. S=E=8.1*x1+10.8*x2;
RES1.. 0.8*x1+0.44*x2=L=24000;
RES2.. 0.05*x1+0.1*x2=L=2000;
RES3.. 0.1*x1+0.36*x2=L=6000;

* estimativa inicial
x1.L=0;
x2.L=0;

MODEL Refinaria / ALL /;

* simlpex primal
*OPTION LP=OSL;

*simplex dual
OPTION LP=CPLEX;

SOLVE Refinaria USING LP MAXIMIZING S;
